import { jsx } from "react/jsx-runtime";
import { TokenSURE as TokenSURE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSURE = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SURE", "data-name": "TokenSURE", ...props, children: /* @__PURE__ */ jsx(TokenSURE$1, { variant }) });
  }
);
TokenSURE.displayName = "TokenSURE";
Object.assign(TokenSURE, { isGdsIcon: true });
export {
  TokenSURE
};
